/*
--- 01 TYPOGRAPHY SYSTEM

- Font sizes (px)
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98

- Font weights
Default: 400
Medium: 500
Semi-bold: 600
Bold: 700

- Line heights
Default: 1
Small: 1.05
Medium: 1.2
Paragraph default: 1.6
Large: 1.8

- Letter spacing
-0.5px
0.75px

--- 05 SHADOWS

0 2.4rem 4.8rem rgba(0, 0, 0, 0.075);

--- 06 BORDER-RADIUS

Default: 9px
Medium: 11px

--- 07 WHITESPACE

- Spacing system (px)
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128
*/
/*CSS Imports*/
@import url("./style.css");
@import url("./sections/hero.css");
@import url("./sections/intro.css");
@import url("./sections/oorons.css");
@import url("./sections/calendar.css");
@import url("./sections/preke.css");
@import url("./sections/footer.css");
/* @import url("./queries.css"); */


:root {
  --color-primary: #405a50;
  --color-primary-dark: #2f433b;
  --color-primary-light: #58786b;

  --color-secondary: #fffaf0;
  --color-secondary-muted: #f4ead9;

  --color-tertiary: #9c9c9c;
  --color-tertiary-dark: #6f6f6f;
  --color-tertiary-light: #d8d8d8;

  --color-text: #555555;
  --color-text-dark: #2f2f2f;
  --color-text-light: #fffaf0;
  --color-white: #ffffff;

  --color-border: #e5dece;
  --color-background: #fffaf0;
  --color-surface: #ffffff;

  --color-accent: #c89b5f;
}


*,
*::before,
*::after {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  /* font-size: 10px; */

  /* 10px / 16px = 0.625 = 62.5% */
  /* Percentage of user's browser font-size setting */
  font-size: 62.5%;
  width: 100%;
  /* overflow-x: hidden; */
}

body {
  font-family: Fraunces, sans-serif;
  line-height: 1;
  font-weight: 400;
  color: #555;
  /* overflow-x: hidden; */
}

h1,
h2,
h3 {
  font-family: "Fraunces", sans-serif;
}
h1 {
  font-size: 7.5rem;
  font-weight: 700;
}

h2 {
  font-size: 6rem;
  font-weight: 700;
}

h3 {
  font-size: 6rem;
  font-weight: 600;
}
h4 {
  font-size: 5rem;
  font-weight: 600;
}
h5 {
  font-size: 3.5rem;
  font-weight: 500;
}
h6 {
  font-size: 2.5rem;
  font-weight: 400;
}
.h7 {
  font-size: 2.2rem;
  font-weight: 400;
}
/**************************/
/* GENRAL REUSABLE COMPONENTS */
/**************************/

.btn-primary {
  display: inline-block;
  background-color: var(--color-primary);
  color: var(--color-secondary);
  padding: 0.9rem 1.8rem;
  text-decoration: none;
  border-radius: 6px;
  font-size: 1.6rem;
  font-weight: 600;
  transition: background-color 0.4s ease, transform 0.3s ease;

  border: 2px solid var(--color-primary);   /* define border initially */
}

.btn-primary:hover {
  background-color: var(--color-secondary);
  color: var(--color-primary);
  
  /* transform: translateY(-1px); */
}

.btn-primary:active {
  transform: translateY(0);
}